6.0.0-git
2020-04-02

[#3823] Autocomplete adjustments
Summary Autocomplete adjustments
Queue IMP
Queue Version HEAD
Type Enhancement
State Resolved
Priority 2. Medium
Owners Horde Developers (at) , slusarz (at) horde (dot) org
Requester chuck (at) horde (dot) org
Created 2006-04-24 (5092 days ago)
Due
Updated 2007-08-01 (4628 days ago)
Assigned 2006-04-24 (5092 days ago)
Resolved 2007-08-01 (4628 days ago)
Milestone IMP 4.2
Patch No

History
2007-08-01 04:52:08 Chuck Hagenbuch Comment #5
Taken from Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
Actually, I just tried this and wasn't able to reproduce the worst 
stuff, which was showing the dropdown for non-matched addresses. So 
I'm willing to resolve this.
2007-08-01 04:39:14 Michael Slusarz Comment #4 Reply to this comment
Having looked at this a bit over the last few months, the unfortunate 
reality is to do much of what is asked would probably require us to 
ditch the scriptaculous JS code and create a new JS library ourselves 
(which would not be a trivial undertaking) or, at the least, have to 
rewrite large portions of the scriptaculous code (i.e. no more using 
the public API).
2007-07-10 21:28:21 Chuck Hagenbuch Comment #3 Reply to this comment
Also see the behavior described in bug 5544.
2007-05-13 03:32:50 Chuck Hagenbuch Comment #2 Reply to this comment
Set an IMP 4.2 milestone on this
2006-04-24 15:45:50 Chuck Hagenbuch Comment #1
Type ⇒ Enhancement
State ⇒ Assigned
Priority ⇒ 2. Medium
Summary ⇒ Autocomplete adjustments
Queue ⇒ IMP
Assigned to Chuck Hagenbuch
Assigned to Michael Slusarz
Assigned to Horde DevelopersHorde Developers
Reply to this comment
Some tweaks to the new autocomplete code (could probably be applied to 
DIMP as well)



1. If there is only one match for an address fragment, expand it 
without user intervention. In other words, if I type a unique name 
fragment (like, say, my wife's name ;) into an address field and 
immediately tab out of it, it should be automatically expanded without 
a dropdown, like the old auto-expand behavior. Same thing for if I 
type several unique names seperated by commas - I shouldn't have to 
pause to complete each one if there's only one choice.



2. Don't show the dropdown if there's just one choice, period - just 
expand, perhaps highlighting the filled-in text so it's easy to 
correct if it was wrong. Not 100% sure on this one.



3. Don't show a dropdown when the address is already complete. Right 
now I can get the dropdown to show if I fiddle around in a field 
that's already expanded - before we didn't muck with already valid 
addresses, this should be the same (especially since a name + email 
pair is not going to provide multiple options anyway - another 
instance of showing dropdowns with just one option).

Saved Queries